Method: agentUsers.delete | Cloud-to-cloud | Google Home Developers (original) (raw)
Method: agentUsers.delete
Unlinks the given third-party user from your smart home Action. All data related to this user will be deleted.
For more details on how users link their accounts, see fulfillment and authentication.
The third-party user's identity is passed in via the agentUserId (see DeleteAgentUserRequest). This request must be authorized using service account credentials from your Actions console project.
HTTP request
DELETE https://homegraph.googleapis.com/v1/{agentUserId=agentUsers/**}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
| agentUserId | string Required. Third-party user ID. |
Query parameters
| Parameters | |
|---|---|
| requestId | string Request ID used for debugging. |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Requires the following OAuth scope:
https://www.googleapis.com/auth/homegraph
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2023-01-04 UTC.